package cn.com.infosec.crypto.paddings;

import java.security.SecureRandom;

public class ZeroBytePadding implements BlockCipherPadding {
   public void init(SecureRandom random) {
   }

   public String getPaddingName() {
      return "ZeroByte";
   }

   public int addPadding(byte[] in, int inOff) {
      int var3;
      for(var3 = in.length - inOff; inOff < in.length; ++inOff) {
         in[inOff] = 0;
      }

      return var3;
   }

   public int padCount(byte[] in) {
      int var2;
      for(var2 = in.length; var2 > 0 && in[var2 - 1] == 0; --var2) {
      }

      return in.length - var2;
   }
}
